%define libname_orig lib%{name}
%define libname %mklibname %{name} 0
%define develname %mklibname -d %{name}

# Needed to obsolete old amarok2 packages
%define libname_orig2 libamarok2
%define libname2 %mklibname amarok2 0
%define develname2 %mklibname -d amarok2

%define subrel 1

Name: amarok
Summary: A powerful media player for KDE4
Version: 2.1.1
Release: %mkrel 0
Epoch: 3
License: GPL
Url: http://amarok.kde.org/
Group: Sound
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: taglib-devel
BuildRequires: cmake >= 2.4.5
BuildRequires: libnjb-devel
BuildRequires: libifp-devel
BuildRequires: libmtp-devel >= 0.3.0
BuildRequires: loudmouth-devel
BuildRequires: mysql-static-devel
BuildRequires: glib2-devel
BuildRequires: libvisual-devel
BuildRequires: kdelibs4-devel >= 4.0.85
BuildRequires: kdebase4-workspace-devel >= 4.0.85
BuildRequires: kdemultimedia4-devel >= 4.0.85
BuildRequires: libgpod-devel >= 0.7.0
BuildRequires: curl-devel
BuildRequires: libmp4v2-devel
BuildRequires: taglib-extras-devel
BuildRequires: qtscriptgenerator
Requires: %name-scripts
Requires: mysql-common
Conflicts: %{libname2}-devel < 1:2.0.0-1.svn743954.3
Conflicts: %{develname} < 3:1.94-3
Obsoletes: amarok2 < 2:2.0.0-0.svn794807.2
Obsoletes: amarok2-engine-phonon < 2:2.0.0-0.svn794807.2
Obsoletes: amarok2-engine-xine < 2:2.0.0-0.svn794807.2
Obsoletes: amarok2-engine-void < 2:2.0.0-0.svn794807.2
Obsoletes: amarok-engine-void < 2:2.0.0
Obsoletes: amarok-engine-xine < 2:2.0.0
Obsoletes: amarok-engine-yauap < 2:2.0.0
Obsoletes: amarok-engine-arts                 <= 1.4-0.beta1_rc1.10mdk
Obsoletes: amarok-engine-gstreamer            <= 1.4-0.beta1_rc1.10mdk
Obsoletes: amarok-engine-akode                <= 1.4-0.beta2.3mdk
Obsoletes: amarok-engine-gstreamer0.10        <= 1.4-0.beta3.7mdk

%description
Feature Overview 
 
* Music Collection:
You have a huge music library and want to locate tracks quickly? Let amaroK's
powerful Collection take care of that! It's a database powered music store, 
which keeps track of your complete music library, allowing you to find any 
title in a matter of seconds. 
 
* Intuitive User Interface:
You will be amazed to see how easy amaroK is to use! Simply drag-and-drop files
into the playlist. No hassle with complicated  buttons or tangled menus. 
Listening to music has never been easier! 
 
* Streaming Radio:
Web streams take radio to the next level: Listen to thousands of great radio
stations on the internet, for free! amaroK provides excellent streaming
support, with advanced features, such as displaying titles of the currently
playing songs. 
 
* Context Browser:
This tool provides useful information on the music you are currently listening
to, and can make listening suggestions, based on your personal music taste. An
innovate and unique feature. 
 
* Visualizations:
amaroK is compatible with XMMS visualization plugins. Allows you to use the
great number of stunning visualizations available on the net. 3d visualizations
with OpenGL are a great way to enhance your music experience. 

%files
%defattr(-,root,root) 
%{_kde_bindir}/amarok
%{_kde_bindir}/amarok_afttagger
%{_kde_bindir}/amarokcollectionscanner
%{_kde_bindir}/amarokmp3tunesharmonydaemon
%{_kde_datadir}/applications/kde4/amarok.desktop
%{_kde_datadir}/config/amarok*
%{_kde_datadir}/config.kcfg/amarok*
%{_kde_appsdir}/desktoptheme/*
%dir %{_kde_appsdir}/amarok
%{_kde_appsdir}/amarok/*
%{_kde_libdir}/kde4/*
%{_kde_libdir}/libamarok_service_liblastfm.so
%{_kde_datadir}/kde4/services/*
%{_kde_datadir}/kde4/servicetypes/*
%{_kde_libdir}/strigi/strigita_audible.so
%{_kde_libdir}/strigi/strigita_mp4.so
%{_kde_iconsdir}/*/*/*/amarok.*
%{_datadir}/locale/*/*/amarok*
%exclude %{_kde_appsdir}/amarok/scripts/

#--------------------------------------------------------------------

%package scripts
Summary: Scripts for amarok
Group: Graphical desktop/KDE
Requires: %name = %epoch:%version-%release
Obsoletes: amarok2-scripts <= 2:2.0.0-0.svn794807.1
Obsoletes: %{_lib}amarok0-scripts < 2:2.0.0-0.svn794807.4
Obsoletes: %{_lib}amarok20-scripts < 2:2.0.0-0.svn794807.1

%description scripts
This package includes python scripts for amarok.

%files scripts
%defattr(-,root,root)
%dir %{_kde_appsdir}/amarok/scripts/
%{_kde_appsdir}/amarok/scripts/*

#------------------------------------------------

%define libamaroklib_major 1
%define libamaroklib %mklibname amaroklib %libamaroklib_major

%package -n %libamaroklib
Summary: Amarok 2 core library
Group: System/Libraries
Obsoletes: %{libname2} < 2:2.0.0-0.svn794807.1

%description -n %libamaroklib
Amarok 2 core library.

%files -n %libamaroklib
%defattr(-,root,root)
%_kde_libdir/libamaroklib.so.%libamaroklib_major
%_kde_libdir/libamaroklib.so.%libamaroklib_major.0.0

#------------------------------------------------

%define libmediadevicelib_major 1
%define libmediadevicelib %mklibname mediadevicelib %libmediadevicelib_major

%package -n %libmediadevicelib
Summary: Amarok 2 core library
Group: System/Libraries
Obsoletes: %{libname2} < 2:2.0.0-0.svn794807.1

%description -n %libmediadevicelib
Amarok 2 core library.

%files -n %libmediadevicelib
%defattr(-,root,root)
%_kde_libdir/libmediadevicelib.so.%{libmediadevicelib_major}*

#------------------------------------------------

%define libamarokpud_major 1
%define libamarokpud %mklibname amarokpud %libamarokpud_major

%package -n %libamarokpud
Summary: Amarok 2 core library
Group: System/Libraries
Conflicts: %{libname2} < 2:2.0.0-0.svn794807.1

%description -n %libamarokpud
Amarok 2 core library.

%files -n %libamarokpud
%defattr(-,root,root)
%_kde_libdir/libamarokpud.so.%libamarokpud_major
%_kde_libdir/libamarokpud.so.%libamarokpud_major.0.0

#------------------------------------------------

%package -n %{develname}
Summary: Headers of %name for development
Group: Development/C
Requires: %libamaroklib = %epoch:%{version}-%{release}
Requires: %libmediadevicelib = %epoch:%{version}-%{release}
Requires: %libamarokpud = %epoch:%{version}-%{release}
Provides: %{name}-devel = %epoch:%{version}-%{release}
Provides: %{libname_orig}-devel = %epoch:%{version}-%{release}
Obsoletes: %{mklibname -d amarok2 0} < 2:2.0.0-0.svn794807.2
Obsoletes: %{develname2} <= 2:2.0.0-0.svn794807.1

%description -n %{develname}
Headers of %{name} for development.

%files -n %{develname}
%defattr(-,root,root)
%{_kde_libdir}/*.so
%{_kde_datadir}/dbus-1/interfaces/*

#--------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_kde4 \
	-DLOCALE_INSTALL_DIR=%{_datadir}/locale

%make

%install
rm -rf %buildroot
cd build
%{makeinstall_std}

%clean
rm -rf %buildroot


%changelog
* Wed Jun 17 2009 Helio Chissini de Castro <helio@mandriva.com> 3:2.1.1-0.1mdv2009.0
+ Revision: 386778
- Amarok bugfix update release 2.1.1
- Major Amarok 2.1 update

* Tue May 19 2009 Gustavo De Nardin <gustavodn@mandriva.com> 3:2.0.2-1.5mdv2009.0
+ Revision: 377489
- build for updates

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix lastfm support ( Bug #49595)
    - Fix Requires on kdebase4-runtime
    - Bump release
    - Remove merged patch
    - Update to amarok 2.0.2
    - Fix a critical issue with files being deleted when OrganizeCollection is run without selecting a collection root.
    - Update to amarok 2.0.1.1

* Tue Jan 27 2009 Security Team <security@mandriva.com> 3:2.0-1.2mdv2009.0
+ Revision: 334168
- security fixes for CVE-2009-0135 and CVE-2009-0136

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Revert Mysql Require
    - Fix use of embeded mysql
    - Fix Requires
    - Add patch to fix collection bug
    - Fix build with old cmake
    - Update to amarok 2.0.1.1 because of security vulnerability
      Remove merged patches
      Rediff codec pach

* Fri Jan 09 2009 Vincent Danen <vdanen@mandriva.com> 3:2.0-1.1mdv2009.0
+ Revision: 327312
- build for updates

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Update to amarok 2.0.1
    - Update to Final 2.0 Version
      Add 2 official patches to fix regressions

* Sat Nov 29 2008 Security Team <security@mandriva.com> 3:1.98-1mdv2009.0
+ Revision: 307519
- + Revision: 305964
  Update to amarok 2.0 Rc1
  Fix File list and conflicts
  Update to amarok 2.0 Beta3

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Update to amarok 2.0 Rc1
    - Fix File list and conflicts
    - Update to amarok 2.0 Beta3

  + root <root>
    - Branching 2009.0 release for updates.

* Fri Oct 03 2008 Helio Chissini de Castro <helio@mandriva.com> 3:1.90-0.866096.6mdv2009.0
+ Revision: 291031
- Fix codeina

* Thu Oct 02 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 3:1.90-0.866096.5mdv2009.0
+ Revision: 290900
- Fix a crash when right-clicking an empty space of the collection panel (#44483)
- Fix a crash when running with --nofork and a path (upstream r867005)
- Don't fetch again covers explicitelly deleted by the user (upstream r866607)
- Fix a crash when playing a podcast without the artist tag (upstream r866155)

* Tue Sep 30 2008 Helio Chissini de Castro <helio@mandriva.com> 3:1.90-0.866096.4mdv2009.0
+ Revision: 290035
- Fix first playlist crash with non selected item
- Added missing requires for mysql-common, otherwise mysql embedded can't create the database

* Sun Sep 28 2008 Anssi Hannula <anssi@mandriva.org> 3:1.90-0.864324.2mdv2009.0
+ Revision: 289020
- fix obsoletes to account for backported amarok 1.4.9.1 on 2008.1

* Wed Sep 24 2008 Helio Chissini de Castro <helio@mandriva.com> 3:1.90-0.864324.1mdv2009.0
+ Revision: 287853
- Mysql embedded in the new database.

* Fri Sep 19 2008 Helio Chissini de Castro <helio@mandriva.com> 3:1.90-0.862469.6mdv2009.0
+ Revision: 285875
- Update to current post beta1 revision 862469

* Thu Sep 11 2008 Helio Chissini de Castro <helio@mandriva.com> 3:1.90-0.860031.4mdv2009.0
+ Revision: 283939
- Codeina support for Amarok. First attempt.
- We don't need xine devel anymore
- Rebuild to generate debug package ( missing ? )

* Sun Sep 07 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:1.90-0.857904.1mdv2009.0
+ Revision: 282046
- New snapshot

* Mon Sep 01 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:1.90-0.855557.1mdv2009.0
+ Revision: 278239
- New snasphot
- New SVN Snapshot

* Tue Aug 26 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:1.90-0.852485.1mdv2009.0
+ Revision: 276095
- New snapshot
- New snapshot

  + Funda Wang <fundawang@mandriva.org>
    - raise BR of libmtp

* Sat Aug 23 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:1.90-0.851157.1mdv2009.0
+ Revision: 275280
- New snapshot

* Thu Aug 21 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:1.90-0.850252.1mdv2009.0
+ Revision: 274658
- Fix file list
- Fix file list
- New snapshot
  Pacakge amarok with locales
  Fix lib install path ( upstream )

* Wed Aug 20 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:1.87-0.849644.1mdv2009.0
+ Revision: 274106
- Fix File list
- New snapshot

* Tue Aug 19 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:1.87-0.849304.1mdv2009.0
+ Revision: 273731
- Update amarok snapshot
- Fix major of libamarokplasma
- New snapshot

* Sun Aug 17 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:1.87-0.848422.1mdv2009.0
+ Revision: 273066
- Use better tarball
- New snapshot

* Sun Aug 17 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:1.87-0.848114.2mdv2009.0
+ Revision: 272909
- Fix previous patch
- Add patch0 to try to fix crash when opening settings

* Sun Aug 17 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:1.87-0.848114.1mdv2009.0
+ Revision: 272844
- New snapshot

* Fri Aug 15 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:1.87-0.847430.1mdv2009.0
+ Revision: 272394
- Fix file list
- Fix file list
- Fix file list
- New snapshot
- New snapshot

* Sun Jul 27 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:1.87-0.838427.1mdv2009.0
+ Revision: 250685
- Updat to new snapshot
- Remove unneeded Requires

* Wed Jul 23 2008 Colin Guthrie <cguthrie@mandriva.org> 3:1.86-1mdv2009.0
+ Revision: 242070
- Add more BuildRequires to enable some new features.
- New version: Alpha2 (1.86)

* Wed Jul 09 2008 Helio Chissini de Castro <helio@mandriva.com> 3:1.83-2mdv2009.0
+ Revision: 233166
- Small cleanup.
- Removed postgres buildreq. No postgres anymore
- Scripts not depend and use ruby or python anymore
- Added loudmouth buildreq

* Wed Jul 09 2008 Helio Chissini de Castro <helio@mandriva.com> 3:1.83-1mdv2009.0
+ Revision: 233158
- First official alpha from amarok.
- Raised epoch to upgrade to a proper version

* Mon Jul 07 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:2.0.0-0.svn829031.2mdv2009.0
+ Revision: 232409
- New snapshot (fixes bedi bug)

* Fri Jun 27 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:2.0.0-0.svn825117.2mdv2009.0
+ Revision: 229591
- those macros are only needed for mdv < 200900

* Fri Jun 27 2008 Helio Chissini de Castro <helio@mandriva.com> 2:2.0.0-0.svn825117.1mdv2009.0
+ Revision: 229578
- new amarok library - pud
- Update for current svn snapshot rev825117
- Update with 820386 snapshot

* Tue Jun 10 2008 Helio Chissini de Castro <helio@mandriva.com> 2:2.0.0-0.svn819178.1mdv2009.0
+ Revision: 217747
- New svn snapshot

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 21 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:2.0.0-0.svn794807.7mdv2009.0
+ Revision: 209659
- Change conflicts
- Build with MySQL and PostgreSQL support

* Wed May 14 2008 Anssi Hannula <anssi@mandriva.org> 2:2.0.0-0.svn794807.6mdv2009.0
+ Revision: 207233
- obsolete dropped engine packages for smooth upgrade

* Wed May 14 2008 Anssi Hannula <anssi@mandriva.org> 2:2.0.0-0.svn794807.5mdv2009.0
+ Revision: 207101
- add missing buildrequires on kdebase4-workspace-devel (also fixes
  conflicts with kdebase4-workspace)

* Tue May 13 2008 Anssi Hannula <anssi@mandriva.org> 2:2.0.0-0.svn794807.4mdv2009.0
+ Revision: 206541
- Drop libamarok0-scripts subpackage. In addition to being empty, it used
  to contain non-versioned plugin libs that can be put in amarok-scripts
  directly.

* Mon May 12 2008 Anssi Hannula <anssi@mandriva.org> 2:2.0.0-0.svn794807.3mdv2009.0
+ Revision: 206472
- fix some conflicts and obsoletes

* Sat Apr 12 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:2.0.0-0.svn794807.2mdv2009.0
+ Revision: 192628
- Fix conflicts
- Change spec file name
  Obsolete old packages
- Use new kde4 amarok by default

  + Helio Chissini de Castro <helio@mandriva.com>
    - No more separated engines. Phonon is more than enough :-)

* Sun Mar 09 2008 Funda Wang <fundawang@mandriva.org> 1:2.0.0-1.svn763708.4mdv2008.1
+ Revision: 182420
- rebuild for qt4 changes

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix gstreamer0.10-devel BR for x86_64

* Sun Jan 20 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.0-1.svn763708.3mdv2008.1
+ Revision: 155406
- Fix File list
- New snapshot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 02 2007 Funda Wang <fundawang@mandriva.org> 1:2.0.0-1.svn743954.3mdv2008.1
+ Revision: 114447
- fix upgrading by obsoletes old libname
- move strigi.so into main package
- adopt to new devel policy

* Sun Dec 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.0-1.svn743954.2mdv2008.1
+ Revision: 114411
- New snapshot

* Sat Dec 01 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:2.0.0-1.svn738067.2mdv2008.1
+ Revision: 114310
- rebuild due to unresolved symbols

* Sat Nov 17 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.0-1.svn738067.1mdv2008.1
+ Revision: 109673
- New snapshot

* Sat Oct 27 2007 Funda Wang <fundawang@mandriva.org> 1:2.0.0-1.svn730005.1mdv2008.1
+ Revision: 102640
- New snapshot at svn730005

* Sat Oct 20 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.0-1.svn727155.5mdv2008.1
+ Revision: 100524
- Fix BuildRequires
- New svn snapshot

* Thu Sep 27 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1:2.0.0-1.svn711995.5mdv2008.0
+ Revision: 93401
- Rebuild against latest kde4 packages

* Thu Sep 13 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.0-1.svn711995.4mdv2008.0
+ Revision: 85160
- Kill Require on libamarok

* Thu Sep 13 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.0-1.svn711995.3mdv2008.0
+ Revision: 84933
- New snashot because of new kdelibs
- Add conflicts to make update easier
- Upload again as Library rpm have not been uploaded properly

* Wed Sep 12 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.0-1.svn710748.1mdv2008.0
+ Revision: 84781
- New snapshot
- New snapshot
- New svn snapshot
- Change spec according to new Kde layout

* Sat Jun 16 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.0-1.svn676332.1mdv2008.0
+ Revision: 40409
- Fix File list
- New svn snapshot
- Fix File List
- New svn snapshot (20070508)

* Mon Apr 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.0-0.svn20070430.1mdv2008.0
+ Revision: 19404
- Remove Patch100: Ruby check is now fixed upstream
- Fix file list
- Fix BuildRequires
- New svn snapshot

* Sun Apr 22 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.0-0.svn20070418.2mdv2008.0
+ Revision: 17032
- Fix Buildrequires
- Remove redundant buildRequire

* Sun Apr 22 2007 Laurent Montel <lmontel@mandriva.org> 1:2.0.0-0.svn20070418.1mdv2008.0
+ Revision: 16848
- Move file into good package
- Cleanup
  Fix for x86_64

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New svn snapshot

* Tue Apr 17 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.0-0.svn20070407.3mdv2008.0
+ Revision: 13528
- Add njb support
- Fix Build on x86_64
- Add BR
- Clean Spec
- Import amarok2


* Mon Mar 19 2007 Olivier Blin <oblin@mandriva.com> 1.4.5-8mdv2007.1
+ Revision: 146360
- tag lang on HTML doc

  + Michael Scherer <misc@mandriva.org>
    - disable debugging output, asked by neoclust

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - correctly set ipod model name, an "x" prefix is needed, code taken from
      gtkpod ( Patch20)
    - make the first rating star tri-state (Patch21)
    - Remove unused code (upstream BR: 141038)(Patch22)
    - fix regression  caused when mongrel had been updated , export correct
      symbols (Patch 23)
    - Fix regression: right-clicking on sound control would change volume
      (upstream BR: 141672)(Patch24)
    - Fix missing quoting for shell call. (upstream BR: 138499)(Patch25)
    - Support for colored stars *everywhere* (Patch26) see diff for a more
      important changelog
    - Fix stars refreshing ( Patch27)
    - Make stars more efficient ( Patch28)

* Fri Feb 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.4.5-4mdv2007.1
+ Revision: 125145
- rebuild against new libgii

* Wed Feb 14 2007 Laurent Montel <lmontel@mandriva.com> 1:1.4.5-3mdv2007.1
+ Revision: 121153
- Fix magnatune

* Tue Feb 06 2007 Laurent Montel <lmontel@mandriva.com> 1:1.4.5-2mdv2007.1
+ Revision: 116584
- It was never a good idea to release a package before
  official release date
  => use last and official tarball (minor fix but official
  tarball)

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New version 1.4.5
    - Remove merged upstream patches :  7,8,9,10,11,12

* Sat Jan 27 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1:1.4.4-7mdv2007.1
+ Revision: 114433
- fix release
- fix summary-not-capitalized
- fix build against new libmtp (P12)
- fix build on sparc (P11 from ubuntu)
- allow amarok to open external URLs (P10 from ubuntu)
- fix build against new libgpod (P9)

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Rebuild for new deps

  + Helio Chissini de Castro <helio@mandriva.com>
    - We don't need regenerate build system

* Mon Dec 11 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.4.4-6mdv2007.1
+ Revision: 94697
- Rebuidl against new libmtp

* Fri Dec 08 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.4.4-5mdv2007.1
+ Revision: 93602
-  Rebuild
- Add patch to fix amarok xine-lib 1.1.3  when playing Last.FM streams

* Sun Dec 03 2006 Emmanuel Andry <eandry@mandriva.org> 1:1.4.4-4mdv2007.1
+ Revision: 90224
- rebuild for new libmtp

* Thu Nov 09 2006 Laurent Montel <lmontel@mandriva.com> 1:1.4.4-3mdv2007.1
+ Revision: 79968
- Requires tunepimp-plugins (need for musicbrainz tags)

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add a new webradio : Dogmazic ( ex: musique-libre.org)
         On this webradio, we can _ONLY_ listen free music :)

* Sat Nov 04 2006 Laurent Montel <lmontel@mandriva.com> 1:1.4.4-2mdv2007.0
+ Revision: 76543
- Remove debug

* Mon Oct 30 2006 Laurent Montel <lmontel@mandriva.com> 1:1.4.4-1mdv2007.1
+ Revision: 73692
- ldconfig
- Add lib script package
- Remove it
- 1.4.4

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add missing patch
    - amarok-1.4.3-6mdv2007.0
    - Better fix for encoding bug (from patchset1):
        * Fixed playlist encoding problem. This bug could also
             result in failure to restore the current playlist.
             (BR 133613)
             => amarok-1.4.3-playlist_encoding.diff
    - amarok-1.4.3-4mdv2007.0
    - Remove some radios as the links are dead
    - Fixed playlist encoding problems.
             (KDE BR 133613)
             (MDV BR  25493)
    - Fix macros for database (#25664)

* Thu Sep 07 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.4.3-2mdv2007.0
+ Revision: 60269
- amarok-1.4.3-2mdv2007.0
- Disable Moodbar
- Some podcasts would insert line breaks in author/title
     information and cause graphical errors. (BR 133591)
- Fix global shortcut conflicts

* Wed Sep 06 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.4.3-1mdv2007.0
+ Revision: 59945
- New release 1.4.3 (Lot lot of bugfixes)
- Remove patches 7,8,9,11 Merged upstream

* Sat Sep 02 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.4.2-6mdv2007.0
+ Revision: 59296
- Apply a forgotten patch
- amarok-1.4.2-6mdv2007.0
- PatchSet1:
  * Collection scanner would only restart a maximum of 2 times
      instead of 20.
      => amarok-1.4.2-scanner.diff
  * AudioCD playback would stutter and sometimes freeze Amarok.
      (BR 133015)
      => amarok-1.4.2-audiocd.diff
  * Fixed bug which prevented Amarok from creating the collection
      database in rare circumstances using SQLite. (BR 133072)
      => amarok-1.4.2-collection.diff

* Fri Sep 01 2006 Helio Chissini de Castro <helio@mandriva.com> 1:1.4.2-5mdv2007.0
+ Revision: 59076
- Added patch to fix libmtp compilation
- Fixed BuildRequires for mtp, sql
- For some reason cluster always add unstable as enabled, so amarok was compiling with debug everytime.
- Need match the correct tunepimp library for all archs
- rebuild to get rid of all tunepimp mess. We should now use libtunepimp and only this one

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - amarok-1.4.2-4mdv2007.0
    - Add BuildRequire
    - Fix BuildRequires

* Sun Aug 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.4.2-2mdv2007.0
+ Revision: 58164
- amarok-1.4.2-2mdv2007.0
- Disable mandriva directory patch

* Sat Aug 12 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.4.2-1.beta1.4mdv2007.0
+ Revision: 55574
- 1.4.2-1.beta1.4mdv2007.0
- Fix rpmlint warnings

  + Helio Chissini de Castro <helio@mandriva.com>
    - Reenabled tunepimp

  + Laurent Montel <lmontel@mandriva.com>
    - Rebuild with new dbus (2006/08/02 1.4.2-beta1-3)

* Tue Aug 01 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.4.2-0.beta1.2mdv2007.0
+ Revision: 42865
- rebuild against new libtunepimp package

* Tue Aug 01 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.4.2-0.beta1.1mdv2007.0
+ Revision: 42842
- Remove musicbrainz support for the moment ( doesn't build)
- 1.4.2 Beta 1
- Remove patch 5: Merged Upstream
- Add --with-external-mad option to fix crash on 64bits ( ticket #24007)

* Mon Jul 31 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.4.1-5mdv2007.0
+ Revision: 42629
- Bump release
- Forget file
- Add some radios

* Fri Jul 21 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.4.1-4mdv2007.0
+ Revision: 41785
- Rebuild and upload to fix ticket #23852

  + Helio Chissini de Castro <helio@mandriva.com>
    - Removed gstreamer mentions. Amarok not ship any gstreamer as standard
    - Rearrange spec and reduced size
    - Added configure macro
    - enabled ipod module control using libgpod

* Wed Jul 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.4.1-2mdv2007.0
+ Revision: 38363
- ooops, forgot to commit the patch
- Increase release
- Fix conflicts with upstream lastfm (#23493) thanks Frederik Himpe

* Tue Jul 04 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.4.1-1mdv2007.0
+ Revision: 38287
- Fix File list
- 1.4.1 Final

* Fri Jun 23 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.4.1-0.6mdv2007.0
+ Revision: 37866
- Increase release
- Use macros (for mimetypes)
- Oooops forgot the source
- 1.4.1 Beta 1 (amaroK is now Amarok)
- Rediff Patch1
- Fix File list
- Increase release
- Fix epoch on requires
- Increase release
- Rebuild to generate category
- Add Epoch to allow upgrade from bundles as the rpm is epoched
- Add Requires ( close ticket #22896)
- Increase release
- New svn checkout
- Fix BuildRequires (thanks to Charles A Edwards)
- Increase release
- New svn checkout
- Fix File list
- increase requires on libvisual
- Use good tarball
- New svn checkout ( with many bugfixes)
- Fix File list
- increase release
- Fix File list
- 1.4.0 Final
- Obsolete gstreamer0.10 engine
- Fix MySQL build ( thanks delight for pointing this )
- Fix release
- Fix File list
- Increase release
- Remove gstreamer0.10 engine only xine is left
- remove patch 5
- 1.4.0 RC1
- Disable patch 7: merged upstream
- Fix File list
- Fix Patch 7
- Increase release
- Add Patch7: Fix Build for kde < 3.5
- New svn checkout
- add warning about the fact that amarok is on svn
- Fix file list
- increase release
- Readd gstreamer0.10 engine
- 1.4beta3-4mdk
- New svn checkout
- Fix Requires for mdv > 2006
- Rediff Patch6
- Fix File list
- increase release
- New svn snapshot
- Add Requires
- New svn checkout
- Change default shortcut ( Ticket #15163)
- New svn release ( ~ beta3 )
- Obsoletes aKode engine ( it doesn't exist anymore)
- revert previous commit
- Amarok 1.4.0 Rc2
- Fix patch4
- Add Exscalibar support
- increase release ( 0.beta2.3mdk)
- Readd previous patches ( close #21663)
- Remove xmms support
- Add versionned obsoletes

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Laurent Montel <lmontel@mandriva.com>
    - New release (critical fix)
      fix build against new xorg
    - Rebuild to generate category
    - Add patch from neoclust
      add conflict for smooth update
      remove arts and gstreamer subpackages (no more existant)
    - 1.4-beta2
      Reverse a part of previous changes.
      2006 support is important !
      Remove conflict with files
      Readd configure argument
      Add file at the end is better to read and not find
      file list into all spec file.
    - 1.4-beta2
      Reverse a part of previous changes.
      2006 support is important !
      Remove conflict with files
      Readd configure argument
      Add file at the end is better to read and not find
      file list into all spec file.

  + Helio Chissini de Castro <helio@mandriva.com>
    - Small spec refactoring
    - Fixed smoke dependency problem
    - Bring back amarok to svn

* Mon Feb 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.4-0.beta1_rc1.9mdk
- Add Requires for the scripts subpackage
- Fix amarok URL

* Wed Feb 15 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.4-0.beta1_rc1.8mdk
- New subpackage engine-gstreamer0.10 ( libgstreamer0.10 was in contrib for
	mdv =< 2006 )

* Wed Feb 15 2006 Laurent MONTEL <lmontel@mandriva.com> 1.4-0.beta1_rc1.7
- Fix buildrequires

* Wed Feb 15 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.4-0.beta1_rc1.6mdk
- Fix aKode subpackage

* Wed Feb 15 2006 Laurent MONTEL <lmontel@mandriva.com> 1.4-0.beta1_rc1.5
- Fix macro

* Mon Feb 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.4-0.beta1_rc1.4mdk
- Real 1.4 Beta1
- Add ifp support
- Add iPod support
- Add buildRequires : libakode2-devel, SDL-devel, libgpod-devel
- Add a postgresql subpackage 
- Fix Build akode on mdv2006

* Mon Feb 13 2006 Laurent MONTEL <lmontel@mandriva.com> 1.4-0.beta1_rc1.3
- Fix spec file
- Build akode on mdk2006 (libakode doesn't exist in mdk =< 2006 )

* Sat Feb 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.4-0.beta1_rc1.2mdk
- create akode engine, lib and devel packages

* Sat Feb 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.4-0.beta1_rc1.1mdk
- amaroK 1.4 beta1
- remove --disable-rpath

* Mon Jan 16 2006 Laurent MONTEL <lmontel@mandriva.com> 1.3.8-1
- 1.3.8

* Sat Jan 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.8-0.Rc1.1mdk
- 1.3.8Rc1
- Remove Patch 7 : Merged Upstream

* Fri Jan 06 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-01-06 16:36:13 (1385)
- Added upstream lyrics patch on behalf of Eskild Hudtvedt ( Zero_Dogg )

* Fri Jan 06 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-01-06 16:28:24 (1384)
- Add sources and spec to svn

* Fri Jan 06 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-01-06 16:13:32 (1382)
- Current dir

* Fri Dec 16 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.7-4
- Rebuild because on x86_64 qt was not rebuild before new amarok rebuild: fix bug #20226

* Sat Dec 10 2005 Helio Chissini de Castro 1.3.7-3mdk
- Rebuild against new qt build

* Wed Dec 07 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.7-2
- qtdir is not define in spec file (found by Nicolas Chipaux)

* Wed Dec 07 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.7-1
- 1.3.7

* Tue Nov 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.6-1mdk
- New release 1.3.6
- Remove patch 20 : Merged upstream

* Mon Nov 07 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.5-5
- Add patch20: fix desktop file (bug found by Fred Crozat)

* Wed Nov 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.5-4mdk
- Add patch 19 : please give feedback to my patch

* Sat Oct 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.5-3mdk
- Fix Requires

* Wed Oct 26 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.5-2
- Remove unneccesary requires

* Wed Oct 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.5-1mdk
- New release 1.3.5

* Tue Oct 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.4-1mdk
- New release 1.3.4
- Drop patch 2 : Merged Upstream

* Sat Oct 22 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.3-4
- Add requires for gstreamer engine

* Wed Oct 19 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.3-3
- Allow to compile with debug

* Wed Oct 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.3-2mdk
- Fix BuildRequires ( add k3b)
- remove kdelibs-devel because already required by
	     kdebase-devel and kdemultimedia-devel

* Tue Oct 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.3-1mdk
- New release 1.3.3
- Drop Patch 6 : Merged Upstream

* Fri Sep 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.2-2mdk
- Use Amarok new icons ( betteeeeeeeeeeeeeeer :) )
- Drop patch 20 : uneeded now

* Fri Sep 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.2-1mdk
- New release 1.3.2 ( bug fixes )

* Sat Sep 17 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.1-3
- Add patch6: disable lastfm config

* Sat Sep 10 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.1-2
- Rebuild

* Wed Sep 07 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.1-1mdk
- Rebuild

* Wed Aug 31 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.3-2mdk
- remove obsolete lib64 fixes
- build without helix support (contribs)

* Tue Aug 16 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3-1mdk
- 1.3

* Thu Aug 04 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3-0.beta3.2mdk
- Make sure that it requires xine-lib

* Fri Jul 08 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3-0.beta2.3mdk
- Rebuild with gcc4

* Tue Jun 28 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3-0.beta2.2mdk
- Remove requires on xine-lib for the moment I can't rebuild xine-lib 
on gcc-4.0 I create 3 patchs but there is again a error. 
I will try to fix it after

* Tue Jun 28 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3-0.beta2.1mdk
- 1.3 beta2

* Tue Jun 28 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3-0.beta1.3mdk
- Split amarok as requested by Greg Meyer

* Thu Jun 09 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3-0.beta1.2mdk
- Rediff Patch 3, 5

* Tue Jun 07 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3-0.beta1.1mdk
- 1.3 beta1

* Thu May 26 2005 Sebastien Savarin <plouf@mandriva.org> 1.2.4-2mdk
- Drop Patch 0, 2, 15, 17 ( Merged Upstream )
- Minor rpmlint errors fix :
- Fix wrong script encoding line  
- Fix strange-permission on amarok-1.2.4.tar.bz2

* Mon May 23 2005 Laurent MONTEL <lmontel@mandriva.com> 1.2.4-1mdk
- 1.2.4

* Tue May 03 2005 Laurent MONTEL <lmontel@mandriva.com> 1.2.3-2mdk
- Rebuild with new libflac

* Fri Apr 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.3-1mdk
- 1.2.3

* Tue Apr 05 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-4mdk
- Split amarok into amarok and amarok-script which requires PyQt
- Remove workaround to use gstreamer in x86_64 (asked by gb)

* Tue Mar 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-3mdk
- Fix buildrequires

* Tue Mar 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-2mdk
- Add patch18: fix kde bug #101496

* Tue Mar 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-1mdk
- 1.2.2

* Tue Mar 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-5mdk
- Add patch17: fix kde bug #101528

* Mon Mar 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-4mdk
- Add patch16: Fix signal/slot error

* Mon Mar 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-3mdk
- Fix shortcut, bug reported by Neoclust

* Mon Mar 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-2mdk
- Add patch15: fix kde bug #101276

* Mon Feb 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Mon Feb 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-10mdk
- Add patch14: fix kde bug #100189
- Requires on kdemultimedia-common for "audiocd:/"

* Sun Feb 27 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-9mdk
- Add patch11: fix kde bug #100268
- Add patch12: fix kde bug #98415
- Add patch13: fix kde bug #100140

* Fri Feb 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-8mdk
- Add patch10: fix kde bug #100200

* Thu Feb 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-7mdk
- Add patch9: fix kde bug #100041

* Mon Feb 21 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-6mdk
- Fix shortcut, don't use Windows key as shortcut otherwise it opens
	K menu

* Fri Feb 18 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-5mdk
- Add patch8: fix "play media" allow to insert directory

* Wed Feb 16 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-4mdk
- Add patch7: fix cursor

* Tue Feb 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-3mdk
- Add patch3: reapply patch4
- Add other multimedia shortcut

* Mon Feb 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-2mdk
- Add patch6: fix amarok kde bug #90499

* Sun Feb 13 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-1mdk
- Amarok-1.2

* Mon Jan 31 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta4.2mdk
- Reapply patch1

* Mon Jan 31 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta4.1mdk
- beta4

* Mon Jan 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta3.1mdk
- beta3

* Sat Jan 01 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.2-0.beta2.3mdk
- add BuildRequires: kdebase-devel libxml2-utils
- list dangling "common" symlinks explicitly as the glob apparently doesn't 
  work for them with up-to-date build env on ppc

* Mon Dec 13 2004 Laurent Culioli <laurent@mandrake.org> 1.2-0.beta2.2mdk
- rebuild with tunepimp ( autotagging support )

* Fri Dec 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta2.1mdk
- 1.2 beta2

* Thu Dec 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta1.5mdk
- Now libvisual is in main
- Add patch5: add multimedia shortcut

* Wed Dec 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta1.4mdk
- Add patch to compile conditional with mysql (patch from  Greg Meyer )

* Tue Nov 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta1.3mdk
- --enable-mysql

* Mon Nov 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta1.2mdk
- Reapply patch

* Mon Nov 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta1.1mdk
- 1.2 beta1

* Fri Nov 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-3mdk
- Add patch4: fix default config

* Tue Nov 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-2mdk
- Reapply gb fixe

* Tue Oct 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-1mdk
- 1.1.1

* Sat Oct 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-1mdk
- 1.1

* Sat Oct 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-5mdk
- Fix default config

* Thu Sep 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-4mdk
- Fix compile

* Thu Sep 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-3mdk
- Fix initial preference

* Tue Sep 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-2mdk
- Add initialpreference

* Sat Aug 07 2004 Laurent Culioli <laurent@mandrake.org> 1.0.2-1mdk
- 1.0.2
- regenerate patch0
- use libxine

* Tue Jun 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Sat Jun 19 2004 Laurent Culioli <laurent@mandrake.org> 1.0-2mdk
- Patch0: fix locales
- update description
- make rpmlint happy with menu

* Fri Jun 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-1mdk
- 1.0

* Sat Jun 05 2004 <lmontel@n2.mandrakesoft.com> 1.0-0.beta4.2mdk
- Rebuild

* Thu Jun 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta4.1mdk
- beta4

* Fri May 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.0-0.beta3.3mdk
- fix buildrequires
- don't do rm -rf $RPM_BUILD_ROOT in %%prep 
[           1      -eq 1 ] || exit 0 
[           1      -eq 1 ] || exit 0 
[           1      -eq 1 ] || exit 0 
 
[           1      -eq 1 ] || exit 0 
[           1      -eq 1 ] || exit 0 
[           1      -eq 1 ] || exit 0

* Tue May 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta3.2mdk
- Reapply patch1

* Thu May 13 2004 Bellegarde Cedric <cedric.bellegarde@wanadoo.fr> 1.0-0.beta3.1mdk
- Update to last version

* Sat May 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta2.3mdk
- Fix crash when xmms_plugins_path not found (bug found by Nicolas Chipaux)

* Sun Apr 25 2004 Bellegarde Cedric <cedric.bellegarde@wanadoo.fr> 1.0-0.beta2.2mdk
- Fix libxmms-devel missing build require
- Add libgstreamer support

* Sun Apr 25 2004 Bellegarde Cedric <cedric.bellegarde@wanadoo.fr> 1.0.beta2-1mdk
- update to last version

* Wed Apr 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta1.1mdk
- 1.0-beta1
- Fix spec file

* Thu Apr 08 2004 Laurent Culioli <laurent@mandrake.org> 0.9-2mdk
- reupload

